Bug 113005 - redhat-config-samba requires pygtk2-libglade
redhat-config-samba requires pygtk2-libglade
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-samba (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-07 04:20 EST by Milan Kerslager
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-07 12:38:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Milan Kerslager 2004-01-07 04:20:57 EST
redhat-config-samba requires pygtk2-libglade to run. The error message is:

Traceback (most recent call last):
  File "/usr/share/redhat-config-samba/redhat-config-samba.py", line
19, in ?
    import mainWindow
  File "/usr/share/redhat-config-samba/mainWindow.py", line 10, in ?
    import gtk.glade

Seems to me like automatic dependencies does not work properly.
Comment 1 Brent Fox 2004-01-07 12:38:49 EST
I just added a Requires for pygtk2-libglade and committed it to cvs. 
Should be fixed in system-config-samba-1.2.1-1.  Thanks for your report.
Comment 2 Milan Kerslager 2004-01-08 05:30:13 EST
I just wonder why auto-requires works with perl scripts and does not
work with python scripts...

Note You need to log in before you can comment on or make changes to this bug.